Will 1.5 continued to be supported?

#3
For some time, yes.

Also, XF2 has already been officially released.
Yeah I’m aware, I don’t like the look of 2.0 nor the fact I have to repurchase any addons I use for 2.0 support, plus some aren’t even updated.
2.0 just looks styled towards blogs rather than communities & there’s no sercurity differences from what I seen in changelogs; not worth distrupting my forum over minor, irrelevant changes.
 
Top